org.apache.sling.scripting.thymeleaf.internal

## Class SlingResourceTemplateResolver

- java.lang.Object
- - org.apache.sling.scripting.thymeleaf.internal.SlingResourceTemplateResolver

All Implemented Interfaces:
  org.thymeleaf.templateresolver.ITemplateResolver

    public class SlingResourceTemplateResolver
    extends Object
    implements org.thymeleaf.templateresolver.ITemplateResolver

### Constructor Summary

Constructors
Constructor and Description
`SlingResourceTemplateResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`Integer` `getOrder()`
`org.thymeleaf.templateresolver.TemplateResolution` `resolveTemplate(org.thymeleaf.IEngineConfiguration engineConfiguration, String ownerTemplate, String template, Map<String,Object> templateResolutionAttributes)`
`void` `setTemplateModeProvider(TemplateModeProvider templateModeProvider)`
`void` `unsetTemplateModeProvider(TemplateModeProvider templateModeProvider)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SlingResourceTemplateResolver

    public SlingResourceTemplateResolver()

### Method Detail

#### setTemplateModeProvider

    public void setTemplateModeProvider(TemplateModeProvider templateModeProvider)

#### unsetTemplateModeProvider

    public void unsetTemplateModeProvider(TemplateModeProvider templateModeProvider)

#### getName

    public String getName()

Specified by:
  `getName` in interface `org.thymeleaf.templateresolver.ITemplateResolver`

#### getOrder

    public Integer getOrder()

Specified by:
  `getOrder` in interface `org.thymeleaf.templateresolver.ITemplateResolver`

#### resolveTemplate

    public org.thymeleaf.templateresolver.TemplateResolution resolveTemplate(org.thymeleaf.IEngineConfiguration engineConfiguration,
                                                                             String ownerTemplate,
                                                                             String template,
                                                                             Map<String,Object> templateResolutionAttributes)

Specified by:
  `resolveTemplate` in interface `org.thymeleaf.templateresolver.ITemplateResolver`